package com.lightinit.hsdataplatformresdir.model.admin;

import com.lightinit.hsdataplatformresdir.annotation.FieldDescriber;
import org.hibernate.validator.constraints.NotEmpty;

import java.math.BigDecimal;
import java.util.List;

public class AuditAddServiceModel {

    private Long id ;

    private String auditOpinion ;

    private String resourceState ;

    private String outId1 ;

    private String outId2 ;

    //注册到服务目录

    //服务名称
    @NotEmpty
    @FieldDescriber(descripton = "服务名称")
    private String serviceName ;
    //租户名称
    private String namespace ;
    //发布名称
    @NotEmpty
    @FieldDescriber(descripton = "发布名称")
    private String publishName ;
    //监控集群
    private String turbineCluster ;
    //实例数量
    private Integer replicas ;
    //镜像名称
    private String image ;
    //CPU限制
    private String cpuLimit ;
    //内存限制
    private String memLimit ;
    //容器端口
    private Integer containerPort ;
    //宿主机端口
    private Integer hostPort ;
    //服务端口
    private Integer servicePort ;
    //是否启用负载均衡
    private boolean loadBalance ;

    private String clusterIp ;
    //租户ID
    private BigDecimal lesseeId ;
    //服务路径
    private String contextPath  ;
    //服务权限
    private Integer serviceAuth ;

    private List<VolumeInfoModel> volumes ;

    public Long getId() {
        return id;
    }

    public void setId(Long id) {
        this.id = id;
    }

    public String getAuditOpinion() {
        return auditOpinion;
    }

    public void setAuditOpinion(String auditOpinion) {
        this.auditOpinion = auditOpinion;
    }

    public String getResourceState() {
        return resourceState;
    }

    public void setResourceState(String resourceState) {
        this.resourceState = resourceState;
    }

    public String getServiceName() {
        return serviceName;
    }

    public void setServiceName(String serviceName) {
        this.serviceName = serviceName;
    }

    public String getNamespace() {
        return namespace;
    }

    public void setNamespace(String namespace) {
        this.namespace = namespace;
    }

    public String getPublishName() {
        return publishName;
    }

    public void setPublishName(String publishName) {
        this.publishName = publishName;
    }

    public String getTurbineCluster() {
        return turbineCluster;
    }

    public void setTurbineCluster(String turbineCluster) {
        this.turbineCluster = turbineCluster;
    }

    public Integer getReplicas() {
        return replicas;
    }

    public void setReplicas(Integer replicas) {
        this.replicas = replicas;
    }

    public String getImage() {
        return image;
    }

    public void setImage(String image) {
        this.image = image;
    }

    public String getCpuLimit() {
        return cpuLimit;
    }

    public void setCpuLimit(String cpuLimit) {
        this.cpuLimit = cpuLimit;
    }

    public String getMemLimit() {
        return memLimit;
    }

    public void setMemLimit(String memLimit) {
        this.memLimit = memLimit;
    }

    public Integer getContainerPort() {
        return containerPort;
    }

    public void setContainerPort(Integer containerPort) {
        this.containerPort = containerPort;
    }

    public Integer getHostPort() {
        return hostPort;
    }

    public void setHostPort(Integer hostPort) {
        this.hostPort = hostPort;
    }

    public Integer getServicePort() {
        return servicePort;
    }

    public void setServicePort(Integer servicePort) {
        this.servicePort = servicePort;
    }

    public boolean isLoadBalance() {
        return loadBalance;
    }

    public void setLoadBalance(boolean loadBalance) {
        this.loadBalance = loadBalance;
    }

    public String getClusterIp() {
        return clusterIp;
    }

    public void setClusterIp(String clusterIp) {
        this.clusterIp = clusterIp;
    }

    public BigDecimal getLesseeId() {
        return lesseeId;
    }

    public void setLesseeId(BigDecimal lesseeId) {
        this.lesseeId = lesseeId;
    }

    public String getContextPath() {
        return contextPath;
    }

    public void setContextPath(String contextPath) {
        this.contextPath = contextPath;
    }

    public Integer getServiceAuth() {
        return serviceAuth;
    }

    public void setServiceAuth(Integer serviceAuth) {
        this.serviceAuth = serviceAuth;
    }

    public List<VolumeInfoModel> getVolumes() {
        return volumes;
    }

    public void setVolumes(List<VolumeInfoModel> volumes) {
        this.volumes = volumes;
    }

    public String getOutId1() {
        return outId1;
    }

    public void setOutId1(String outId1) {
        this.outId1 = outId1;
    }

    public String getOutId2() {
        return outId2;
    }

    public void setOutId2(String outId2) {
        this.outId2 = outId2;
    }
}
